package com.example.wfwebapi.model;

import org.junit.jupiter.api.Test;

import java.time.LocalDate;

import static org.junit.jupiter.api.Assertions.*;

class UserTest {

    @Test
    void testGettersAndSetters() {
        User user = new User();
        Image image = new Image();
        LocalDate creationDate = LocalDate.of(2024, 1, 1);

        user.setId(1L);
        user.setUsername("testuser");
        user.setEmail("test@example.com");
        user.setPassword("securePassword123");
        user.setImage(image);
        user.setCreation(creationDate);

        assertEquals(1L, user.getId());
        assertEquals("testuser", user.getUsername());
        assertEquals("test@example.com", user.getEmail());
        assertEquals("securePassword123", user.getPassword());
        assertEquals(image, user.getImage());
        assertEquals(creationDate, user.getCreation());
    }
}
