package com.example.wfwebapi.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class FavoriteIdTest {

    @Test
    void testGettersAndSetters() {
        FavoriteId id = new FavoriteId();
        id.setUser(1L);
        id.setQuote(2L);

        assertEquals(1L, id.getUser());
        assertEquals(2L, id.getQuote());
    }

    @Test
    void testConstructor() {
        FavoriteId id = new FavoriteId(3L, 4L);

        assertEquals(3L, id.getUser());
        assertEquals(4L, id.getQuote());
    }

    @Test
    void testEqualsAndHashCode() {
        FavoriteId id1 = new FavoriteId(1L, 2L);
        FavoriteId id2 = new FavoriteId(1L, 2L);
        FavoriteId id3 = new FavoriteId(2L, 1L);

        assertEquals(id1, id2);
        assertEquals(id1.hashCode(), id2.hashCode());
        assertNotEquals(id1, id3);
    }
}
