package com.example.wfwebapi.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class QuizQuestionIdTest {

    @Test
    void testGettersAndSetters() {
        QuizQuestionId id = new QuizQuestionId();
        id.setQuiz(1L);
        id.setQuestion(2L);

        assertEquals(1L, id.getQuiz());
        assertEquals(2L, id.getQuestion());
    }

    @Test
    void testConstructor() {
        QuizQuestionId id = new QuizQuestionId(3L, 4L);

        assertEquals(3L, id.getQuiz());
        assertEquals(4L, id.getQuestion());
    }

    @Test
    void testEqualsAndHashCode() {
        QuizQuestionId id1 = new QuizQuestionId(1L, 2L);
        QuizQuestionId id2 = new QuizQuestionId(1L, 2L);
        QuizQuestionId id3 = new QuizQuestionId(2L, 1L);

        assertEquals(id1, id2);
        assertEquals(id1.hashCode(), id2.hashCode());
        assertNotEquals(id1, id3);
    }
}
