package com.example.wfwebapi.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class QuoteTest {

    @Test
    void testGettersAndSetters() {
        Quote quote = new Quote();
        Caracter caracter = new Caracter();
        Source source = new Source();
        User user = new User();

        quote.setId(1L);
        quote.setContent("Ceci est une citation.");
        quote.setLikes(42);
        quote.setLangue("fr");
        quote.setIsValide(true);
        quote.setReason("Vérifiée manuellement");
        quote.setCaracter(caracter);
        quote.setSource(source);
        quote.setUserVerif(user);

        assertEquals(1L, quote.getId());
        assertEquals("Ceci est une citation.", quote.getContent());
        assertEquals(42, quote.getLikes());
        assertEquals("fr", quote.getLangue());
        assertTrue(quote.getIsValide());
        assertEquals("Vérifiée manuellement", quote.getReason());
        assertEquals(caracter, quote.getCaracter());
        assertEquals(source, quote.getSource());
        assertEquals(user, quote.getUserVerif());
    }
}
