package com.example.wfwebapi.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class RecordQuizIdTest {

    @Test
    void testGettersAndSetters() {
        RecordQuizId id = new RecordQuizId();
        id.setUser(1L);
        id.setQuiz(2L);

        assertEquals(1L, id.getUser());
        assertEquals(2L, id.getQuiz());
    }

    @Test
    void testConstructor() {
        RecordQuizId id = new RecordQuizId(3L, 4L);

        assertEquals(3L, id.getUser());
        assertEquals(4L, id.getQuiz());
    }

    @Test
    void testEqualsAndHashCode() {
        RecordQuizId id1 = new RecordQuizId(1L, 2L);
        RecordQuizId id2 = new RecordQuizId(1L, 2L);
        RecordQuizId id3 = new RecordQuizId(2L, 1L);

        assertEquals(id1, id2);
        assertEquals(id1.hashCode(), id2.hashCode());
        assertNotEquals(id1, id3);
    }
}
